#ifndef _DRVRTC_H
#define _DRVRTC_H

/****************************************************************************
 *
 * Projekt			:	Glacier Batterieboxdeckel Prüfgerät
 * Dateiname		:	drvRtc.h
 * Autor			:	orginal MHoffmann, abgeändert für dieses Projekt Irene Saxer
 * Erstellungsdatum	:	17.04.2019
 * Beschreibung		:	"Treiber fuer Zugriffe auf die externe RTC"
 *
 *
 * Versionsgeschichte
 * 	Revision 1.0	17.04.2019 SAI erste Version
 *
 ****************************************************************************/

/****************************************************************************/
/* COMPILER Direktiven */

/****************************************************************************/
/* INCLUDE Dateien */
#include "Common.h"
#include "DrvGpio.h"

/****************************************************************************/
/* KONSTANTEN */
#define BM_CMD_RTC_READ  0x80
#define BM_CMD_RTC_WRITE 0x00


/****************************************************************************/
/* Globale Variablen */
typedef struct
{
	uint8_t sek;
	uint8_t min;
	uint8_t std;
	uint8_t tag;
	uint8_t mon;
	uint8_t jhr;
}tDateTime;


/****************************************************************************/
/* Funktionen */
void DrvRtc_Init(void);
void DrvRtc_Write(uint8_t x);
int16_t DrvRtc_GetTemp(void);
uint8_t DrvRtc_GetDateTime(tDateTime* pDT);
void DrvRtc_SetDateTime(tDateTime* pDT);
uint8_t Stunden(tDateTime DT);
uint8_t Minuten(tDateTime DT);
uint8_t Sekunden(tDateTime DT);
uint8_t Tag(tDateTime DT);
uint8_t Monat(tDateTime DT);
uint8_t Jahr(tDateTime DT);

#endif	// #define _DRVRTC_H
